/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _CONSOLE_H
#define _CONSOLE_H

void console_preInit();

void console_loadTextures();
void console_unloadTextures();

int console_init(void);

void console_print(const char *text, ...);
void console_messagesClear(void);
void console_messagePrint(const char *text, ...);

void console_swap(void);

void console_draw(void);
void console_messagesDraw(void);

void console_keyDown(SDLKey key);
void console_chatterKeyDown(SDLKey key);

void console_cleanup(void);

extern char console_active;
extern char console_chatterActive;
extern int console_texFont;

#endif


