/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _GAME_H
#define _GAME_H

#define ZOOKABOOM 75.0f
#define GRENADEBOOM 70.0f
#define DYNAMITEBOOM 75.0f
#define CLUSTERBOOM 25.0f
#define CLUSTERBOOM2 50.0f
#define HAMSTERBOOM 50.0f
#define KILLERBEEBOOM 65.0f

int game_do();

extern char game_keys[4000][8];

extern int game_frame;
extern int game_prepare;
extern char game_side;
extern float game_aim;
extern char game_rope;
extern float game_ropeang;
extern float game_ropelen;
extern char game_hooked;
extern Vector game_hookPos;
extern char game_roperep;
extern float game_omega;
extern char game_drop;
extern int game_dropType;
extern IntVector game_dropPos;
extern int game_wind;
extern Weapon game_weap[MAXCLUSTERS];
extern int game_preparetoend;
extern int game_escape;
extern char game_walls[MAXELEMENTSCOUNT];
extern int game_walls2go;

#endif

