/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _TEXTURES_H
#define _TEXTURES_H

/* loads texture from BMP file */
int textures_loadBMP(char *filename);

/* loads usualy black and white texture with transparency */
int textures_loadBMPAlpha(char *filename);

/* loads texture and transparency mask from BMP files */
int textures_loadBMPWithAlpha(char *filename, char *mask);

/* does the cleaning */
void textures_unloadBMP(int *texture);

#endif

