/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _COMMANDS_H
#define _COMMANDS_H

int commands_loadConfig(void);
int commands_saveConfig(void);
void commands_process(char *command);
void commands_completion(char *input, int *current);

/* global variables changeable with console */
extern int commands_co_blink;
extern int commands_co_alpha;
extern char commands_name[81];
extern int commands_vd_width;
extern int commands_vd_height;
extern int commands_vd_fullscreen;
extern int commands_vd_vsync;
extern int commands_sv_max_clients;
extern int commands_sv_max_players;
extern char commands_sv_name[81];
extern char commands_sv_passwd[81];
extern char commands_cl_passwd[81];
extern char commands_sv_map[81];
extern int commands_sv_balls;
extern char commands_cl_hostname[81];
extern char commands_sv_hostname[81];
extern int commands_sv_port;
extern int commands_cl_port;
extern int commands_sv_timelimit;
extern int commands_sv_gametype;
extern int commands_sv_fall;
extern int commands_sv_health;
extern int commands_db_frametime;
extern char commands_sv_motd1[81];
extern char commands_sv_motd2[81];
extern char commands_sv_motd3[81];
extern char commands_sv_motd4[81];
extern char commands_sv_motd5[81];
extern char commands_sv_motd6[81];
extern char commands_sv_motd7[81];
extern char commands_sv_motd8[81];
extern char commands_sv_motd9[81];

extern char commands_configFile[81];
extern int commands_vd_bmpmovie;
extern char commands_sv_statusfile[81];
extern int commands_sv_status;
extern int commands_cl_linewidth;
extern int commands_cl_water;
extern int commands_cl_background;
extern char commands_rc_svpasswd[81];
extern char commands_rc_clpasswd[81];

#endif
