/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "freeshoppa.h"

#define MAX_CONSOLE_LINES 1000
#define MAX_MESSAGES_LINES 5

/* we need to reimplement some funcions from console.c... */
void console_preInit()
{
	return;
}

void console_loadTextures()
{
	return;
}
void console_unloadTextures()
{
	return;
}

int console_init(void)
{
	console_print("Initializing console...");
	console_print("^2DONE");
	return 0;
}

void console_print(const char *text, ...)
{
	va_list argptr;
	va_start(argptr, text);

	vprintf(text, argptr);
	printf("\n");

	va_end(argptr);
	return;
}

void console_messagesClear(void)
{
	return;
}

void console_messagePrint(const char *text, ...)
{
	return;
}

void console_swap(void)
{
	return;
}


void console_draw(void)
{
	return;
}

void console_messagesDraw(void)
{
	return;
}

void console_chatterKeyDown(SDLKey key)
{
	return;
}
void console_keyDown(SDLKey key)
{
	return;
}

void console_cleanup(void)
{
	console_print("Cleaning console...");
	console_print("^2DONE");

	return;
}
