/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _FREESHOPPA_H
#define _FREESHOPPA_H

#ifdef WIN32
#include <windows.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <math.h>
#include <time.h>
#include "versions.h"

#ifdef WIN32

#include <SDL/SDL.h>
#include <SDL/SDL_thread.h>
#include <SDL/SDL_net.h>

#else

#include <SDL.h>
#include <SDL_thread.h>
#include <SDL_net.h>

#endif

#include "misc.h"

#ifndef DED

#include "video.h"
#include "textures.h"
#include "fonts.h"
#include "ui_render.h"
#include "client_render.h"
#include "audio.h"

#endif

#include "map.h"
#include "commands.h"
#include "console.h"
#include "input.h"
#include "ui.h"
#include "server.h"
#include "net.h"
#include "game.h"
#include "client.h"

#endif
