/*
 *  (C) Copyright 2007-2009 by FreeShoppa Development Team
 *                        (http://chomzee.ethernet.pl/freeshoppa/)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include "freeshoppa.h"

char* colors[]={
"^1red",
"^3blue",
"^2green",
"^4yellow",
"^6magenta",
"^5cyan"
};

char* weapons[]={
"Bazooka",
"Grenade",
"Dynamite",
"Cluster Bomb",
"Hamsters",
"Killer Bee"
};

int net_init()
{
	console_print("Initializing net...");

	if (SDLNet_Init()==-1)
	{
		console_print("^1FAILED!!!");
		return 1;
	}
	else
	{
		console_print("^2DONE");
		return 0;
	}
}

void net_cleanup()
{
	console_print("Cleaning net...");

	SDLNet_Quit();
	
	console_print("^2DONE");
	return;
}

